Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589617 - Review Request: apache-commons-discovery - rename of jakarta-commons-discovery
Summary: Review Request: apache-commons-discovery - rename of jakarta-commons-discovery
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 589168
Blocks: JakartaCommonsRename
TreeView+ depends on / blocked
 
Reported: 2010-05-06 14:58 UTC by Stanislav Ochotnicky
Modified: 2014-01-17 16:03 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-11 07:36:08 UTC
akurtako: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Stanislav Ochotnicky 2010-05-06 14:58:12 UTC
Spec URL: http://sochotni.fedorapeople.org/apache-commons-discovery.spec
SRPM URL: http://sochotni.fedorapeople.org/apache-commons-discovery-0.4-1.fc12.src.rpm

Description: Package was renamed from jakarta-commons-discovery. Discovery provides facilities for finding and instantiating classes, and for lifecycle management of singleton (factory) classes.

Comment 1 Stanislav Ochotnicky 2010-05-06 15:07:09 UTC
Adding bug #589168 as blocker because this package contains Requires on apache-commons-logging.

Comment 2 Stanislav Ochotnicky 2010-05-07 09:56:26 UTC
Fixed provides to not self-deprecate self.

Spec URL: http://sochotni.fedorapeople.org/apache-commons-discovery.spec
SRPM URL:
http://sochotni.fedorapeople.org/apache-commons-discovery-0.4-2.fc12.src.rpm

Also any reviewer should note that this is a re-review of existing package named jakarta-commons-discovery.

Comment 3 Peter Lemenkov 2010-05-07 10:02:07 UTC
*-javadoc subpackage must require owner of %{_javadocdir}, e.g. jpackage-utils. Also, I dont think that you should mark %{_javadocdir}/%{name}-%{version} and %{_javadocdir}/%{name} as %dir explicitly.

Comment 4 Stanislav Ochotnicky 2010-05-07 12:05:53 UTC
Thanks for comments.

> -javadoc subpackage must require owner of %{_javadocdir}, e.g. jpackage-utils.

I fixed this but I will wait a bit before creating another revision in case something else comes up. I also noticed your question about javadoc requires on their parents on fedora-devel. Once that will be cleared up I will create new version of spec/srpm.

> Also, I dont think that you should mark %{_javadocdir}/%{name}-%{version} and
> %{_javadocdir}/%{name} as %dir explicitly.

I am sorry, but as far as I see I named them using %doc not %dir. Is this wrong? I was told %doc is optional in this case but it will not hurt anything.

Comment 5 Peter Lemenkov 2010-05-08 07:35:46 UTC
(In reply to comment #4)

> I am sorry, but as far as I see I named them using %doc not %dir. Is this
> wrong? I was told %doc is optional in this case but it will not hurt anything.    

You're right - I was wrong here, so, please, disregard this particular objection.

Comment 6 Alexander Kurtakov 2010-05-10 11:28:04 UTC
I'm taking this one.

Comment 7 Alexander Kurtakov 2010-05-10 12:35:49 UTC
Review:

OK: rpmlint must be run on every package. OUTPUT:

apache-commons-discovery.noarch: W: spelling-error %description -l en_US Pluggable -> Plug gable, Plug-gable, Plugged
apache-commons-discovery.noarch: W: spelling-error %description -l en_US lifecycle -> life cycle, life-cycle, lifestyle

Not a problem. 

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, except for any that
are listed in the exceptions section of the Packaging Guidelines ; inclusion of
those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's
%files listings. 
OK: Permissions on files must be set properly. 
OK: Each package must consistently use macros.
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. Javadocs
subpackage.
OK: If a package includes something as %doc, it must not affect the runtime of
the application. 
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 
OK: Package is correctly Obsoleting/Providing the package it's replacing.

You don't need the %global section free line - it's of no use.


This package is APPROVED.

Comment 8 Alexander Kurtakov 2010-05-10 12:36:43 UTC
P.S. Please make the changes asked from Peter. I assumed them for fixed.

Comment 10 Stanislav Ochotnicky 2010-05-10 13:03:20 UTC
Thanks. Requesting CVS:

New Package CVS Request
=======================
Package Name: apache-commons-discovery
Short Description: Apache Commons Discovery
Owners: sochotni
Branches: 
InitialCC:

Comment 11 Kevin Fenzi 2010-05-11 04:44:51 UTC
CVS done (by process-cvs-requests.py).

Remember to assign the review to the reviewer.

Comment 12 Stanislav Ochotnicky 2010-05-11 07:36:08 UTC
Package build finished in koji. Closing. Thanks all

Comment 13 Lubomir Rintel 2014-01-17 15:58:51 UTC
Package Change Request
======================
Package Name: apache-commons-discovery
New Branches: epel7
Owners: lkundrak

Requesting an EPEL branch, maintainer agrees to this and is not willing to maintain the branch himself.

Comment 14 Gwyn Ciesla 2014-01-17 16:03:25 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.